import { CSSProperties } from 'react';
import { Style } from 'treat';
import { ThemeOrAny } from 'treat/theme';
import { ValueOf } from 'type-fest';
declare type ResolveShorthand<T> = T extends keyof ThemeOrAny['shorthands'] ? ValueOf<ThemeOrAny['shorthands'][T], number> : T;
declare type ResolveAlias<T> = ResolveShorthand<T extends keyof ThemeOrAny['aliases'] ? ThemeOrAny['aliases'][T] : T>;
export declare type ThemedStyle = Style & {
    [key in Extract<keyof ThemeOrAny['aliases'] | keyof ThemeOrAny['shorthands'] | keyof ThemeOrAny['resolvers'], string>]?: keyof ThemeOrAny['scales'][ThemeOrAny['resolvers'][ResolveAlias<key>]] | (CSSProperties[ResolveAlias<key>] & {});
};
export declare function useStyling(): (themedStyle: ThemedStyle) => string;
export {};
//# sourceMappingURL=useStyling.d.ts.map